diff -Nu avview-0.80.7/config.h avview-0.80.7.new/config.h
--- avview-0.80.7/config.h	2005-11-12 04:26:56.000000000 -0900
+++ avview-0.80.7.new/config.h	1969-12-31 14:00:00.000000000 -1000
@@ -1,211 +0,0 @@
-/* config.h.  Generated by configure.  */
-/* config.h.in.  Generated from configure.in by autoheader.  */
-
-/* Define to one of `_getb67', `GETB67', `getb67' for Cray-2 and Cray-YMP
-   systems. This function is required for `alloca.c' support on those systems.
-   */
-/* #undef CRAY_STACKSEG_END */
-
-/* Define to 1 if using `alloca.c'. */
-/* #undef C_ALLOCA */
-
-/* Define to 1 if you have `alloca', as a function or macro. */
-#define HAVE_ALLOCA 1
-
-/* Define to 1 if you have <alloca.h> and it should be used (not on Ultrix).
-   */
-#define HAVE_ALLOCA_H 1
-
-/* Define to 1 if you have the <errno.h> header file. */
-#define HAVE_ERRNO_H 1
-
-/* Define to 1 if you have the <fcntl.h> header file. */
-#define HAVE_FCNTL_H 1
-
-/* Define to 1 if you have the `gettimeofday' function. */
-#define HAVE_GETTIMEOFDAY 1
-
-/* Define to 1 if you have the <inttypes.h> header file. */
-#define HAVE_INTTYPES_H 1
-
-/* Define to 1 if you have the `asound' library (-lasound). */
-#define HAVE_LIBASOUND 1
-
-/* Define to 1 if you have the `dl' library (-ldl). */
-#define HAVE_LIBDL 1
-
-/* Define to 1 if you have the `lirc_client' library (-llirc_client). */
-#define HAVE_LIBLIRC_CLIENT 1
-
-/* Define to 1 if you have the `m' library (-lm). */
-#define HAVE_LIBM 1
-
-/* Define to 1 if you have the `mp3lame' library (-lmp3lame). */
-#define HAVE_LIBMP3LAME 1
-
-/* Define to 1 if you have the `ogg' library (-logg). */
-#define HAVE_LIBOGG 1
-
-/* Define to 1 if you have the `pthread' library (-lpthread). */
-#define HAVE_LIBPTHREAD 1
-
-/* Define to 1 if you have the `vorbis' library (-lvorbis). */
-#define HAVE_LIBVORBIS 1
-
-/* Define to 1 if you have the `vorbisenc' library (-lvorbisenc). */
-#define HAVE_LIBVORBISENC 1
-
-/* Define to 1 if you have the `X11' library (-lX11). */
-#define HAVE_LIBX11 1
-
-/* Define to 1 if you have the `Xext' library (-lXext). */
-#define HAVE_LIBXEXT 1
-
-/* Define to 1 if you have the `Xinerama' library (-lXinerama). */
-#define HAVE_LIBXINERAMA 1
-
-/* Define to 1 if you have the `Xv' library (-lXv). */
-#define HAVE_LIBXV 1
-
-/* Define to 1 if you have the `z' library (-lz). */
-#define HAVE_LIBZ 1
-
-/* Define to 1 if you have the `zvbi' library (-lzvbi). */
-#define HAVE_LIBZVBI 1
-
-/* Define to 1 if you have the `memmove' function. */
-#define HAVE_MEMMOVE 1
-
-/* Define to 1 if you have the <memory.h> header file. */
-#define HAVE_MEMORY_H 1
-
-/* Define to 1 if you have the `memset' function. */
-#define HAVE_MEMSET 1
-
-/* Define to 1 if you have the `rint' function. */
-/* #undef HAVE_RINT */
-
-/* Define to 1 if you have the `select' function. */
-#define HAVE_SELECT 1
-
-/* Define to 1 if you have the <stdint.h> header file. */
-#define HAVE_STDINT_H 1
-
-/* Define to 1 if you have the <stdlib.h> header file. */
-#define HAVE_STDLIB_H 1
-
-/* Define to 1 if you have the `strcasecmp' function. */
-#define HAVE_STRCASECMP 1
-
-/* Define to 1 if you have the `strdup' function. */
-#define HAVE_STRDUP 1
-
-/* Define to 1 if you have the `strerror' function. */
-#define HAVE_STRERROR 1
-
-/* Define to 1 if you have the <strings.h> header file. */
-#define HAVE_STRINGS_H 1
-
-/* Define to 1 if you have the <string.h> header file. */
-#define HAVE_STRING_H 1
-
-/* Define to 1 if you have the <sys/ioctl.h> header file. */
-#define HAVE_SYS_IOCTL_H 1
-
-/* Define to 1 if you have the <sys/select.h> header file. */
-#define HAVE_SYS_SELECT_H 1
-
-/* Define to 1 if you have the <sys/socket.h> header file. */
-#define HAVE_SYS_SOCKET_H 1
-
-/* Define to 1 if you have the <sys/stat.h> header file. */
-#define HAVE_SYS_STAT_H 1
-
-/* Define to 1 if you have the <sys/time.h> header file. */
-#define HAVE_SYS_TIME_H 1
-
-/* Define to 1 if you have the <sys/types.h> header file. */
-#define HAVE_SYS_TYPES_H 1
-
-/* Define to 1 if you have the <unistd.h> header file. */
-#define HAVE_UNISTD_H 1
-
-/* Name of package */
-#define PACKAGE "avview"
-
-/* Define to the address where bug reports for this package should be sent. */
-#define PACKAGE_BUGREPORT "gatos-devel@lists.sf.net"
-
-/* Define to the full name of this package. */
-#define PACKAGE_NAME "AVview"
-
-/* Define to the full name and version of this package. */
-#define PACKAGE_STRING "AVview 0.80.7"
-
-/* Define to the one symbol short name of this package. */
-#define PACKAGE_TARNAME "avview"
-
-/* Define to the version of this package. */
-#define PACKAGE_VERSION "0.80.7"
-
-/* Define to the type of arg 1 for `select'. */
-#define SELECT_TYPE_ARG1 int
-
-/* Define to the type of args 2, 3 and 4 for `select'. */
-#define SELECT_TYPE_ARG234 (fd_set *)
-
-/* Define to the type of arg 5 for `select'. */
-#define SELECT_TYPE_ARG5 (struct timeval *)
-
-/* If using the C implementation of alloca, define if you know the
-   direction of stack growth for your system; otherwise it will be
-   automatically deduced at run-time.
-	STACK_DIRECTION > 0 => grows toward higher addresses
-	STACK_DIRECTION < 0 => grows toward lower addresses
-	STACK_DIRECTION = 0 => direction of growth unknown */
-/* #undef STACK_DIRECTION */
-
-/* Define to 1 if you have the ANSI C header files. */
-#define STDC_HEADERS 1
-
-/* Define to 1 if you can safely include both <sys/time.h> and <time.h>. */
-#define TIME_WITH_SYS_TIME 1
-
-/* use alsa libraries */
-#define USE_ALSA 1
-
-/* use ffmpeg libraries */
-#define USE_FFMPEG 1
-
-/* use lirc libraries */
-#define USE_LIRC 1
-
-/* Is Xinerama present */
-#define USE_XINERAMA 1
-
-/* Version number of package */
-#define VERSION "0.80.7"
-
-/* Define to 1 if your processor stores words with the most significant byte
-   first (like Motorola and SPARC, unlike Intel and VAX). */
-/* #undef WORDS_BIGENDIAN */
-
-/* Define to 1 if the X Window System is missing or not being used. */
-/* #undef X_DISPLAY_MISSING */
-
-/* Number of bits in a file offset, on hosts where this is settable. */
-/* #undef _FILE_OFFSET_BITS */
-
-/* Enable GNU extensions on systems that have them.  */
-#ifndef _GNU_SOURCE
-# define _GNU_SOURCE 1
-#endif
-
-/* Define for large files, on AIX-style hosts. */
-/* #undef _LARGE_FILES */
-
-/* Define to empty if `const' does not conform to ANSI C. */
-/* #undef const */
-
-/* Define to `unsigned' if <sys/types.h> does not define. */
-/* #undef size_t */
diff -Nu avview-0.80.7/configure avview-0.80.7.new/configure
--- avview-0.80.7/configure	2005-11-12 04:26:14.000000000 -0900
+++ avview-0.80.7.new/configure	2009-01-03 17:34:33.000000000 -0900
@@ -10393,8 +10393,8 @@
    { (exit 1); exit 1; }; }
 fi
 
-if ! test "$TCL_VERSION $TK_VERSION" = "8.4 8.4" ; then
-	{ { echo "$as_me:$LINENO: error: AVview requires Tcl/Tk 8.4.x" >&5
+if ! test "$TCL_VERSION $TK_VERSION" = "8.5 8.5" ; then
+	{ { echo "$as_me:$LINENO: error: AVview requires Tcl/Tk 8.5.x" >&5
 echo "$as_me: error: AVview requires Tcl/Tk 8.4.x" >&2;}
    { (exit 1); exit 1; }; }
 fi
diff -Nu avview-0.80.7/start_avview.desktop avview-0.80.7.new/start_avview.desktop
--- avview-0.80.7/start_avview.desktop	1969-12-31 14:00:00.000000000 -1000
+++ avview-0.80.7.new/start_avview.desktop	2009-01-03 17:59:08.000000000 -0900
@@ -0,0 +1,18 @@
+[Desktop Entry]
+Comment[en_US]=TV viewer for Xvideo compatible cards
+Encoding=UTF-8
+MimeType=
+Name[en_US]=AVview
+GenericName=TV Viewer
+Path=
+ServiceTypes=
+SwallowExec=
+SwallowTitle=
+Terminal=false
+TerminalOptions=
+Type=Application
+X-KDE-SubstituteUID=false
+X-KDE-Username=
+Categories=TV;AudioVideo;Video;
+Exec=/usr/local/bin/start_avview
+Icon=/usr/local/share/AVview/avview-48x48.png
diff -Nu avview-0.80.7/v4l.c avview-0.80.7.new/v4l.c
--- avview-0.80.7/v4l.c	2005-11-12 04:25:56.000000000 -0900
+++ avview-0.80.7.new/v4l.c	2009-01-03 18:09:33.000000000 -0900
@@ -368,9 +368,9 @@
 if(f2!=NULL)f2->free_func(f2);	
 vcvt_422_rgb32(snapshot_data->pib.width, snapshot_data->pib.height, snapshot_data->pib.width, snapshot_data->read_buffer, snapshot_data->pib.pixelPtr);
 set_transparency(&(snapshot_data->pib), 0xff);
-Tk_PhotoSetSize(snapshot_data->ph, snapshot_data->pib.width, snapshot_data->pib.height);
-Tk_PhotoPutBlock(snapshot_data->ph, &(snapshot_data->pib), 0, 0, snapshot_data->pib.width, snapshot_data->pib.height
-#if (TK_MAJOR_VERSION==8) && (TK_MINOR_VERSION==4)
+Tk_PhotoSetSize(snapshot_data->interp, snapshot_data->ph, snapshot_data->pib.width, snapshot_data->pib.height);
+Tk_PhotoPutBlock(snapshot_data->interp, snapshot_data->ph, &(snapshot_data->pib), 0, 0, snapshot_data->pib.width, snapshot_data->pib.height
+#if (TK_MAJOR_VERSION==8) && (TK_MINOR_VERSION==5)
 	, TK_PHOTO_COMPOSITE_SET
 #endif
 	);
diff -Nu avview-0.80.7/vbi.c avview-0.80.7.new/vbi.c
--- avview-0.80.7/vbi.c	2005-11-12 04:25:56.000000000 -0900
+++ avview-0.80.7.new/vbi.c	2009-01-03 18:12:21.000000000 -0900
@@ -387,9 +387,9 @@
 pib.offset[2]=2;
 pib.offset[3]=3;
 pib.pixelPtr=canvas;
-Tk_PhotoSetSize(ph, pib.width, pib.height);
-Tk_PhotoPutBlock(ph, &pib, 0, 0, pib.width, pib.height
-#if (TK_MAJOR_VERSION==8) && (TK_MINOR_VERSION==4)
+Tk_PhotoSetSize(interp, ph, pib.width, pib.height);
+Tk_PhotoPutBlock(interp, ph, &pib, 0, 0, pib.width, pib.height
+#if (TK_MAJOR_VERSION==8) && (TK_MINOR_VERSION==5)
 	, TK_PHOTO_COMPOSITE_SET
 #endif
 	);
@@ -509,8 +509,8 @@
 		}
 	}
 
-Tk_PhotoPutBlock(ph, &pib, 0, 0, pib.width, pib.height
-#if (TK_MAJOR_VERSION==8) && (TK_MINOR_VERSION==4)
+Tk_PhotoPutBlock(interp, ph, &pib, 0, 0, pib.width, pib.height
+#if (TK_MAJOR_VERSION==8) && (TK_MINOR_VERSION==5)
 	, TK_PHOTO_COMPOSITE_SET
 #endif
 	);
